net.sf.jasperreports.engine

## Class JRHyperlinkHelper

- java.lang.Object
- - net.sf.jasperreports.engine.JRHyperlinkHelper

-     public final class JRHyperlinkHelper
      extends java.lang.Object

  Utility class that manages built-in hyperlink types.
  Version:
    $Id: JRHyperlinkHelper.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static byte` | `getHyperlinkTarget(JRHyperlink hyperlink)` Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.
    `static byte` | `getHyperlinkTarget(java.lang.String linkTarget)` Deprecated. Replaced by `getHyperlinkTargetValue(String)`.
    `static HyperlinkTargetEnum` | `getHyperlinkTargetValue(java.lang.String linkTarget)` Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.
    `static byte` | `getHyperlinkType(JRHyperlink hyperlink)` Deprecated. Replaced by `getHyperlinkTypeValue(JRHyperlink)`.
    `static byte` | `getHyperlinkType(java.lang.String linkType)` Deprecated. Replaced by `getHyperlinkTypeValue(String)`.
    `static HyperlinkTypeEnum` | `getHyperlinkTypeValue(JRHyperlink hyperlink)` Returns the built-in hyperlink type, or `HyperlinkTypeEnum.CUSTOM` if the type is not a built-in type.
    `static HyperlinkTypeEnum` | `getHyperlinkTypeValue(java.lang.String linkType)` Returns the built-in hyperlink type, or `HyperlinkTypeEnum.CUSTOM` if the type is not a built-in type.
    `static java.lang.String` | `getLinkTarget(byte hyperlinkTarget)` Deprecated. Replaced by `getLinkTarget(HyperlinkTargetEnum)`.
    `static java.lang.String` | `getLinkTarget(HyperlinkTargetEnum hyperlinkTarget)` Returns the link target associated with a built-in target.
    `static java.lang.String` | `getLinkType(byte hyperlinkType)` Deprecated. Replaced by `getLinkType(HyperlinkTypeEnum)`.
    `static java.lang.String` | `getLinkType(HyperlinkTypeEnum hyperlinkType)` Returns the link type associated with a built-in type.
    `static boolean` | `isEmpty(JRHyperlink hyperlink)` Decides whether a hyperlink is empty or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getHyperlinkType

          public static byte getHyperlinkType(JRHyperlink hyperlink)

      Deprecated. Replaced by `getHyperlinkTypeValue(JRHyperlink)`.

    - #### getHyperlinkTypeValue

          public static HyperlinkTypeEnum getHyperlinkTypeValue(JRHyperlink hyperlink)

      Returns the built-in hyperlink type, or `HyperlinkTypeEnum.CUSTOM` if the type is not a built-in type.
      Parameters:
        `hyperlink` - the hyperlink object
      Returns:
        the hyperlink type

    - #### getHyperlinkType

          public static byte getHyperlinkType(java.lang.String linkType)

      Deprecated. Replaced by `getHyperlinkTypeValue(String)`.

    - #### getHyperlinkTypeValue

          public static HyperlinkTypeEnum getHyperlinkTypeValue(java.lang.String linkType)

      Returns the built-in hyperlink type, or `HyperlinkTypeEnum.CUSTOM` if the type is not a built-in type.
      Parameters:
        `linkType` - the link type
      Returns:
        the hyperlink type

    - #### getHyperlinkTarget

          public static byte getHyperlinkTarget(JRHyperlink hyperlink)

      Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.
      Parameters:
        `hyperlink` - the hyperlink object
      Returns:
        the hyperlink target

    - #### getHyperlinkTarget

          public static byte getHyperlinkTarget(java.lang.String linkTarget)

      Deprecated. Replaced by `getHyperlinkTargetValue(String)`.

    - #### getHyperlinkTargetValue

          public static HyperlinkTargetEnum getHyperlinkTargetValue(java.lang.String linkTarget)

      Returns the built-in hyperlink target, or `HyperlinkTargetEnum.CUSTOM` if the target name is not a built-in one.
      Parameters:
        `linkTarget` - the link target type
      Returns:
        the hyperlink target

    - #### getLinkType

          public static java.lang.String getLinkType(byte hyperlinkType)

      Deprecated. Replaced by `getLinkType(HyperlinkTypeEnum)`.

    - #### getLinkType

          public static java.lang.String getLinkType(HyperlinkTypeEnum hyperlinkType)

      Returns the link type associated with a built-in type.
      Parameters:
        `hyperlinkType` - the built-in type
      Returns:
        the String link type

    - #### getLinkTarget

          public static java.lang.String getLinkTarget(byte hyperlinkTarget)

      Deprecated. Replaced by `getLinkTarget(HyperlinkTargetEnum)`.

    - #### getLinkTarget

          public static java.lang.String getLinkTarget(HyperlinkTargetEnum hyperlinkTarget)

      Returns the link target associated with a built-in target.
      Parameters:
        `hyperlinkTarget` - the built-in target type
      Returns:
        the String link target

    - #### isEmpty

          public static boolean isEmpty(JRHyperlink hyperlink)

      Decides whether a hyperlink is empty or not.

      The hyperlink is considered empty when it's `null` or when its type is `NONE` and it doesn't include a tooltip expression

      Parameters:
        `hyperlink` - the hyperlink
      Returns:
        whether the hyperlink is empty

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com